{ "error": null, "data": { "datasets": [ { "name": "Asset Marketcap", "slug": "asset-marketcap", "description": "Daily market capitalization for an asset", "tier": "enterprise", "columns": [ { "name": "Circulating Marketcap", "slug": "circulating-marketcap", "description": "The market capitalization of the asset, calculated using the circulating supply", "type": "float64" }, { "name": "Circulating Marketcap Dominance", "slug": "circulating-marketcap-dominance", "description": "The market capitalization of the asset as a percentage of the total market capitalization of all crypto assets", "type": "float64" }, { "name": "Fully Diluted Marketcap", "slug": "fully-diluted-marketcap", "description": "The market capitalization of the asset, calculated using the fully diluted supply. Commonly known as Fully Diluted Valuation (FDV).", "type": "float64" } ], "granularities": [ "1d", "1w" ] }, { "name": "Asset Price", "slug": "asset-price", "description": "Daily volume weighted average price and volume for an asset", "tier": "enterprise", "columns": [ { "name": "Open Price", "slug": "open", "description": "Price at the candle open.", "type": "float64" }, { "name": "High Price", "slug": "high", "description": "High price during the candle.", "type": "float64" }, { "name": "Low Price", "slug": "low", "description": "Low price during the candle.", "type": "float64" }, { "name": "Close Price", "slug": "close", "description": "Price at the candle close.", "type": "float64" }, { "name": "Volume", "slug": "volume", "description": "Volume traded during candle.", "type": "float64" } ], "granularities": [ "1d", "1w" ] }, { "name": "Asset Supply", "slug": "asset-supply", "description": "Daily supply metrics for an asset", "tier": "enterprise", "columns": [ { "name": "Circulating Supply", "slug": "circulating-supply", "description": "The number of tokens that exist, excluding those that are locked in contracts or otherwise not available for trading", "type": "float64" }, { "name": "Total Supply", "slug": "total-supply", "description": "The total number of tokens that exist", "type": "float64" } ], "granularities": [ "1d", "1w" ] }, { "name": "Market", "slug": "market", "description": "Market time series data.", "tier": "enterprise", "columns": [ { "name": "Open Price", "slug": "open-price", "description": "USD price at the candle open.", "type": "float64" }, { "name": "Open Price Raw", "slug": "open-price-raw", "description": "Raw price at the candle open.", "type": "float64" }, { "name": "High Price", "slug": "high-price", "description": "High USD price during the candle.", "type": "float64" }, { "name": "High Price Raw", "slug": "high-price-raw", "description": "Raw high price during the candle.", "type": "float64" }, { "name": "Low Price", "slug": "low-price", "description": "Low USD price during the candle.", "type": "float64" }, { "name": "Low Price Raw", "slug": "low-price-raw", "description": "Raw low price during the candle.", "type": "float64" }, { "name": "Close Price", "slug": "close-price", "description": "USD price at the candle close.", "type": "float64" }, { "name": "Close Price Raw", "slug": "close-price-raw", "description": "Raw price at the candle close.", "type": "float64" }, { "name": "Volume", "slug": "volume", "description": "Volume traded during candle.", "type": "float64" }, { "name": "Volume Raw", "slug": "volume-raw", "description": "Raw volume traded during candle.", "type": "float64" } ], "granularities": [ "1d", "1w" ] } ] }}
{
"error": "<string>"
}
{
"error": "<string>"
}
Bulk API
Get Available Datasets
Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.
GET
/
bulk
/
v1
/
datasets
cURL
curl --request GET \ --url https://api.messari.io/bulk/v1/datasets \ --header 'x-messari-api-key: <api-key>'
This endpoint returns a catalog of all bulk datasets available to you based on your subscription tier. Each dataset includes metadata about available columns, supported granularities, and the minimum tier required for access.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Messari Docs (Legacy)","colors":{"primary":"#0173E5","light":"#AED8FD","dark":"#004888"},"logo":{"light":"https://mintcdn.com/messari-f8af6bf9/S-QldOK-JbnUNLbC/logo/messari-light.png?fit=max\u0026auto=format\u0026n=S-QldOK-JbnUNLbC\u0026q=85\u0026s=ada1f48b7208c025bd3c121c154e46b2","dark":"https://mintcdn.com/messari-f8af6bf9/S-QldOK-JbnUNLbC/logo/messari-dark.png?fit=max\u0026auto=format\u0026n=S-QldOK-JbnUNLbC\u0026q=85\u0026s=a6986358e9b316076a67358b639389ca"},"favicon":"https://mintcdn.com/messari-f8af6bf9/S-QldOK-JbnUNLbC/favicon.png?fit=max\u0026auto=format\u0026n=S-QldOK-JbnUNLbC\u0026q=85\u0026s=d7921a163e514be5ab80c7abad843c90","navbar":{"links":[{"icon":"external-link","href":"https://messari.io/account/api","label":"Get API Key"}],"primary":{"type":"button","label":"Request API Access","href":"https://messari.io/api?showDemoRequest=true"}},"footer":{"socials":{"x":"https://x.com/MessariCrypto","github":"https://github.com/messari","linkedin":"https://www.linkedin.com/company/messari"}},"seo":{"metatags":{"og:image":"https://resources.messari.io/images/1V.png","google-site-verification":"bToZKP8eP327m7P2YqV5dGFgPiZ7LhWjG4jdKHBh9I4"}},"banner":{"content":"**This API is in maintenance mode.** New data and features ship only on the new Blockworks API.\u003cbr />[**Go to the new API docs →**](https://docs.blockworks.com)","dismissible":false,"color":{"light":"#6633ff","dark":"#5a2fdc"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"New API docs →","icon":"arrow-up-right","href":"https://docs.blockworks.com"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"messari-f8af6bf9","hasAudioNarration":false,"actualSubdomain":"messari-f8af6bf9","customDomains":["docs.messari.io"],"gitSource":{"type":"github","owner":"messari","repo":"mintlify-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6abfcf9410c65bac1a9d9e65","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API Reference","count":158},{"language":"default","tag":"Protocols","count":40},{"language":"default","tag":"User Guides","count":35},{"language":"default","tag":"Monitoring","count":15},{"language":"default","tag":"AI","count":14},{"language":"default","tag":"Fundraising","count":13},{"language":"default","tag":"Assets \u0026 Market Data (included with Enterprise)","count":12},{"language":"default","tag":"Lending","count":9},{"language":"default","tag":"Signals","count":8},{"language":"default","tag":"Getting Started","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/endpoints/bulk/get-v1-datasets","slug":"/api-reference/endpoints/bulk/get-v1-datasets","pageMetadata":{"title":"Get Available Datasets","openapi":"GET /bulk/v1/datasets","description":"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.","href":"/api-reference/endpoints/bulk/get-v1-datasets"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsx(_components.p,{children:`This endpoint returns a catalog of all bulk datasets available to you based on your subscription tier. Each dataset includes metadata about available columns, supported granularities, and the minimum tier required for access.`}),`\n`,_jsx(Heading,{level:`2`,id:`response-structure`,children:`Response Structure`}),`\n`,_jsx(_components.p,{children:`The response includes an array of datasets, where each dataset contains:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`name`}),`: Human-readable name of the dataset`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`slug`}),`: URL-safe identifier used in download requests`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`description`}),`: Detailed explanation of the dataset contents`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`tier`}),`: Minimum subscription tier required (FREE, PROFESSIONAL, or ENTERPRISE)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`columns`}),`: Array of available columns with their names, slugs, descriptions, and data types`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`granularities`}),`: Supported time intervals for this dataset (e.g., 1h, 1d)`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`usage-example`,children:`Usage Example`}),`\n`,_jsx(_components.p,{children:`Use this endpoint to discover what data is available to you before making download requests:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.messari.io/bulk/v1/datasets\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-messari-api-key: YOUR_API_KEY\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`subscription-tier-access`,children:`Subscription Tier Access`}),`\n`,_jsx(_components.p,{children:`Different datasets require different subscription tiers:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`FREE`}),`: Access to basic datasets`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`PROFESSIONAL`}),`: Additional datasets with more metrics`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`ENTERPRISE`}),`: Full access to all bulk datasets including premium metrics`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`next-steps`,children:`Next Steps`}),`\n`,_jsxs(_components.p,{children:[`After identifying the dataset you want to download, use the `,_jsx(_components.a,{href:`/api-reference/endpoints/bulk/get-v1-datasets-datasetSlug-granularity-data`,children:`Download Dataset endpoint`}),` with the appropriate `,_jsx(_components.code,{children:`datasetSlug`}),` and `,_jsx(_components.code,{children:`granularity`}),` values.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Available Datasets","openapi":"GET /bulk/v1/datasets","description":"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.","href":"/api-reference/endpoints/bulk/get-v1-datasets"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[]},{"title":"Response Structure","slug":"response-structure","depth":2,"children":[]},{"title":"Usage Example","slug":"usage-example","depth":2,"children":[]},{"title":"Subscription Tier Access","slug":"subscription-tier-access","depth":2,"children":[]},{"title":"Next Steps","slug":"next-steps","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.","operationId":"GetBulkDatasets","tags":["Bulk API"],"responses":{"200":"e947b4f1-76fd-4f67-9f54-e6378676e73c","401":"60e74a4e-b875-4f64-912f-c1c21498287f","500":"a3333476-fb33-4054-b8fd-c1120953da4e"},"method":"get","type":"path","servers":["3bcfc678-2e67-4ee6-9ad8-7d86ce6bea8a"],"security":["02ce5038-5853-4311-84b9-3c810e144b06"],"path":"/bulk/v1/datasets","baseUrlOptions":["https://api.messari.io"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"responses":{"e947b4f1-76fd-4f67-9f54-e6378676e73c":{"description":"Successfully retrieved available datasets","content":{"application/json":{"schema":{"type":"object","properties":{"datasets":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Human-readable name of the dataset","uniqueKey":"datasets.items.[INDEX].name","typeLabel":"string"},"slug":{"type":"string","description":"URL-safe identifier for the dataset","uniqueKey":"datasets.items.[INDEX].slug","typeLabel":"string"},"description":{"type":"string","description":"Detailed description of what data this dataset contains","uniqueKey":"datasets.items.[INDEX].description","typeLabel":"string"},"tier":{"type":"string","enum":["FREE","PROFESSIONAL","ENTERPRISE"],"description":"Minimum subscription tier required to access this dataset","uniqueKey":"datasets.items.[INDEX].tier","typeLabel":"enum\u003cstring>"},"columns":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Human-readable name of the column","uniqueKey":"datasets.items.[INDEX].columns.items.[INDEX].name","typeLabel":"string"},"slug":{"type":"string","description":"Column identifier used in the data output","uniqueKey":"datasets.items.[INDEX].columns.items.[INDEX].slug","typeLabel":"string"},"description":{"type":"string","description":"Detailed description of what this column represents","uniqueKey":"datasets.items.[INDEX].columns.items.[INDEX].description","typeLabel":"string"},"type":{"type":"string","enum":["string","float","integer","timestamp","boolean"],"description":"Data type of the column","uniqueKey":"datasets.items.[INDEX].columns.items.[INDEX].type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"datasets.items.[INDEX].columns.items.[INDEX]","typeLabel":"object"},"description":"List of columns available in this dataset","uniqueKey":"datasets.items.[INDEX].columns","typeLabel":"object[]"},"granularities":{"type":"array","items":{"type":"string","enum":["1d","1w"],"uniqueKey":"datasets.items.[INDEX].granularities.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"Available time granularities for this dataset","uniqueKey":"datasets.items.[INDEX].granularities","typeLabel":"enum\u003cstring>[]"}},"uniqueKey":"datasets.items.[INDEX]","typeLabel":"object"},"uniqueKey":"datasets","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":null,"data":{"datasets":[{"name":"Asset Marketcap","slug":"asset-marketcap","description":"Daily market capitalization for an asset","tier":"enterprise","columns":[{"name":"Circulating Marketcap","slug":"circulating-marketcap","description":"The market capitalization of the asset, calculated using the circulating supply","type":"float64"},{"name":"Circulating Marketcap Dominance","slug":"circulating-marketcap-dominance","description":"The market capitalization of the asset as a percentage of the total market capitalization of all crypto assets","type":"float64"},{"name":"Fully Diluted Marketcap","slug":"fully-diluted-marketcap","description":"The market capitalization of the asset, calculated using the fully diluted supply. Commonly known as Fully Diluted Valuation (FDV).","type":"float64"}],"granularities":["1d","1w"]},{"name":"Asset Price","slug":"asset-price","description":"Daily volume weighted average price and volume for an asset","tier":"enterprise","columns":[{"name":"Open Price","slug":"open","description":"Price at the candle open.","type":"float64"},{"name":"High Price","slug":"high","description":"High price during the candle.","type":"float64"},{"name":"Low Price","slug":"low","description":"Low price during the candle.","type":"float64"},{"name":"Close Price","slug":"close","description":"Price at the candle close.","type":"float64"},{"name":"Volume","slug":"volume","description":"Volume traded during candle.","type":"float64"}],"granularities":["1d","1w"]},{"name":"Asset Supply","slug":"asset-supply","description":"Daily supply metrics for an asset","tier":"enterprise","columns":[{"name":"Circulating Supply","slug":"circulating-supply","description":"The number of tokens that exist, excluding those that are locked in contracts or otherwise not available for trading","type":"float64"},{"name":"Total Supply","slug":"total-supply","description":"The total number of tokens that exist","type":"float64"}],"granularities":["1d","1w"]},{"name":"Market","slug":"market","description":"Market time series data.","tier":"enterprise","columns":[{"name":"Open Price","slug":"open-price","description":"USD price at the candle open.","type":"float64"},{"name":"Open Price Raw","slug":"open-price-raw","description":"Raw price at the candle open.","type":"float64"},{"name":"High Price","slug":"high-price","description":"High USD price during the candle.","type":"float64"},{"name":"High Price Raw","slug":"high-price-raw","description":"Raw high price during the candle.","type":"float64"},{"name":"Low Price","slug":"low-price","description":"Low USD price during the candle.","type":"float64"},{"name":"Low Price Raw","slug":"low-price-raw","description":"Raw low price during the candle.","type":"float64"},{"name":"Close Price","slug":"close-price","description":"USD price at the candle close.","type":"float64"},{"name":"Close Price Raw","slug":"close-price-raw","description":"Raw price at the candle close.","type":"float64"},{"name":"Volume","slug":"volume","description":"Volume traded during candle.","type":"float64"},{"name":"Volume Raw","slug":"volume-raw","description":"Raw volume traded during candle.","type":"float64"}],"granularities":["1d","1w"]}]}},"examples":{"Example":{"title":"Example","value":{"error":null,"data":{"datasets":[{"name":"Asset Marketcap","slug":"asset-marketcap","description":"Daily market capitalization for an asset","tier":"enterprise","columns":[{"name":"Circulating Marketcap","slug":"circulating-marketcap","description":"The market capitalization of the asset, calculated using the circulating supply","type":"float64"},{"name":"Circulating Marketcap Dominance","slug":"circulating-marketcap-dominance","description":"The market capitalization of the asset as a percentage of the total market capitalization of all crypto assets","type":"float64"},{"name":"Fully Diluted Marketcap","slug":"fully-diluted-marketcap","description":"The market capitalization of the asset, calculated using the fully diluted supply. Commonly known as Fully Diluted Valuation (FDV).","type":"float64"}],"granularities":["1d","1w"]},{"name":"Asset Price","slug":"asset-price","description":"Daily volume weighted average price and volume for an asset","tier":"enterprise","columns":[{"name":"Open Price","slug":"open","description":"Price at the candle open.","type":"float64"},{"name":"High Price","slug":"high","description":"High price during the candle.","type":"float64"},{"name":"Low Price","slug":"low","description":"Low price during the candle.","type":"float64"},{"name":"Close Price","slug":"close","description":"Price at the candle close.","type":"float64"},{"name":"Volume","slug":"volume","description":"Volume traded during candle.","type":"float64"}],"granularities":["1d","1w"]},{"name":"Asset Supply","slug":"asset-supply","description":"Daily supply metrics for an asset","tier":"enterprise","columns":[{"name":"Circulating Supply","slug":"circulating-supply","description":"The number of tokens that exist, excluding those that are locked in contracts or otherwise not available for trading","type":"float64"},{"name":"Total Supply","slug":"total-supply","description":"The total number of tokens that exist","type":"float64"}],"granularities":["1d","1w"]},{"name":"Market","slug":"market","description":"Market time series data.","tier":"enterprise","columns":[{"name":"Open Price","slug":"open-price","description":"USD price at the candle open.","type":"float64"},{"name":"Open Price Raw","slug":"open-price-raw","description":"Raw price at the candle open.","type":"float64"},{"name":"High Price","slug":"high-price","description":"High USD price during the candle.","type":"float64"},{"name":"High Price Raw","slug":"high-price-raw","description":"Raw high price during the candle.","type":"float64"},{"name":"Low Price","slug":"low-price","description":"Low USD price during the candle.","type":"float64"},{"name":"Low Price Raw","slug":"low-price-raw","description":"Raw low price during the candle.","type":"float64"},{"name":"Close Price","slug":"close-price","description":"USD price at the candle close.","type":"float64"},{"name":"Close Price Raw","slug":"close-price-raw","description":"Raw price at the candle close.","type":"float64"},{"name":"Volume","slug":"volume","description":"Volume traded during candle.","type":"float64"},{"name":"Volume Raw","slug":"volume-raw","description":"Raw volume traded during candle.","type":"float64"}],"granularities":["1d","1w"]}]}}}},"exampleType":"examples"}},"exampleType":"examples"},"60e74a4e-b875-4f64-912f-c1c21498287f":{"description":"Unauthorized - missing or invalid API key","content":{"application/json":{"schema":{"properties":{"error":{"type":"string","uniqueKey":"error","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"a3333476-fb33-4054-b8fd-c1120953da4e":{"description":"Internal server error","content":{"application/json":{"schema":{"properties":{"error":{"type":"string","uniqueKey":"error","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"02ce5038-5853-4311-84b9-3c810e144b06":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-messari-api-key","description":"API key for authentication. Get your key at https://messari.io/account/api","scopes":[]}}},"servers":{"3bcfc678-2e67-4ee6-9ad8-7d86ce6bea8a":{"description":"Messari Bulk API","url":"https://api.messari.io"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-messari-api-key","description":"API key for authentication. Get your key at https://messari.io/account/api","scopes":[]},"schema":{"title":"x-messari-api-key","type":"string","description":"API key for authentication. Get your key at https://messari.io/account/api","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-messari-api-key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"api-reference/openAPI/bulk-v1.json"},"subdomain":"messari-f8af6bf9","siteName":"Messari Docs (Legacy)","title":"Get Available Datasets - Messari Docs (Legacy)","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T16:23:06.552Z","originalFileLocation":"api-reference/endpoints/bulk/get-v1-datasets.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Messari Docs (Legacy)\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Available Datasets - Messari Docs (Legacy)\">\u003cmeta data-mint-head property=\"og:description\" content=\"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Messari Docs (Legacy)\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://resources.messari.io/images/1V.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Available Datasets - Messari Docs (Legacy)\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://resources.messari.io/images/1V.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/messari-f8af6bf9/xHhRKBO2Q9QikT-E/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Messari Docs (Legacy)\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0173E5\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"bToZKP8eP327m7P2YqV5dGFgPiZ7LhWjG4jdKHBh9I4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoints/bulk/get-v1-datasets.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.messari.io/#organization\",\"name\":\"Messari Docs (Legacy)\",\"url\":\"https://docs.messari.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/messari-f8af6bf9/S-QldOK-JbnUNLbC/logo/messari-light.png?fit=max\u0026auto=format\u0026n=S-QldOK-JbnUNLbC\u0026q=85\u0026s=ada1f48b7208c025bd3c121c154e46b2\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.messari.io#website\",\"name\":\"Messari Docs (Legacy)\",\"url\":\"https://docs.messari.io\",\"publisher\":{\"@id\":\"https://docs.messari.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets#webpage\",\"url\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets\",\"name\":\"Get Available Datasets\",\"description\":\"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.\",\"dateModified\":\"2026-01-27T16:23:06.552Z\",\"isPartOf\":{\"@id\":\"https://docs.messari.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Bulk API\",\"item\":\"https://docs.messari.io/api-reference/endpoints/bulk/bulk-api\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Available Datasets\",\"item\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets#apireference\",\"headline\":\"Get Available Datasets\",\"name\":\"Get Available Datasets\",\"description\":\"Lists all bulk datasets available to the authenticated user based on their subscription tier. Each dataset includes its name, slug, description, required tier, available columns, and supported granularities.\",\"url\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets\",\"mainEntityOfPage\":{\"@id\":\"https://docs.messari.io/api-reference/endpoints/bulk/get-v1-datasets#webpage\"},\"image\":\"https://resources.messari.io/images/1V.png\",\"dateModified\":\"2026-01-27T16:23:06.552Z\",\"publisher\":{\"@id\":\"https://docs.messari.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.messari.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Messari Docs (Legacy)\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Messari Docs (Legacy)","nav":{"global":{"anchors":[{"anchor":"New API docs →","icon":"arrow-up-right","href":"https://docs.blockworks.com"}]},"tabs":[{"tab":"API Reference","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/introduction"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Pay-Per-Request with x402","href":"/api-reference/x402-payments"},{"title":"API Tiers \u0026 Limits","href":"/api-reference/permissions"},{"title":"Response","href":"/api-reference/responses"},{"title":"Errors","href":"/api-reference/errors"},{"title":"Versioning","href":"/api-reference/versioning"}]},{"group":"Assets \u0026 Market Data (included with Enterprise)","pages":[{"title":"Asset \u0026 Market Data API","href":"/api-reference/endpoints/metrics/metrics-api"},{"title":"List Assets","openapi":"GET /metrics/v2/assets","href":"/api-reference/endpoints/metrics/v2/assets/get-v2-assets"},{"title":"Get Asset Details","openapi":"GET /metrics/v2/assets/details","href":"/api-reference/endpoints/metrics/v2/assets/get-v2-assets-details"},{"title":"List Metrics","openapi":"GET /metrics/v2/assets/metrics","href":"/api-reference/endpoints/metrics/v2/assets/get-v2-assets-metrics"},{"title":"Get All-Time Highs","openapi":"GET /metrics/v2/assets/ath","href":"/api-reference/endpoints/metrics/v2/assets/get-v2-assets-ath"},{"title":"Get ROIs","openapi":"GET /metrics/v2/assets/roi","href":"/api-reference/endpoints/metrics/v2/assets/get-v2-assets-roi"},{"title":"Asset Timeseries","openapi":"GET /metrics/v2/assets/{assetID}/metrics/{datasetSlug}/time-series/{granularity}","href":"/api-reference/endpoints/metrics/v2/assets/get-asset-timeseries"},{"group":"v1 (Legacy)","pages":[{"openapi":"GET /metrics/v1/assets","title":"Get assets","href":"/api-reference/endpoints/metrics/v1/get-v1-assets"},{"openapi":"GET /metrics/v1/assets/metrics","title":"Get timeseries metrics catalog","href":"/api-reference/endpoints/metrics/v1/get-v1-assets-metrics"},{"openapi":"GET /metrics/v1/assets/{assetIdentifier}","title":"Get asset","href":"/api-reference/endpoints/metrics/v1/get-v1-assets-assetIdentifier"},{"openapi":"GET /metrics/v1/assets/{entityIdentifier}/metrics/{datasetSlug}/time-series","title":"Get asset timeseries data","href":"/api-reference/endpoints/metrics/v1/get-asset-timeseries"},{"openapi":"GET /metrics/v1/networks/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}","title":"Get network timeseries data","href":"/api-reference/endpoints/metrics/v1/get-time-series-timeseries-with-granularity"}]}]},{"group":"Exchanges (included with Enterprise)","pages":[{"title":"Exchanges API","href":"/api-reference/endpoints/exchanges/exchanges-api"},{"title":"List Exchanges","openapi":"GET /metrics/v1/exchanges","href":"/api-reference/endpoints/exchanges/list-exchanges"},{"title":"Get Exchange","openapi":"GET /metrics/v1/exchanges/{exchangeIdentifier}","href":"/api-reference/endpoints/exchanges/get-exchange"},{"title":"List Exchanges Metrics","openapi":"GET /metrics/v1/exchanges/metrics","href":"/api-reference/endpoints/exchanges/list-exchanges-metrics"},{"title":"Exchange Time Series Metric","openapi":"GET /metrics/v1/exchanges/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}","href":"/api-reference/endpoints/exchanges/get-exchange-timeseries-metric"}]},{"group":"Markets (included with Enterprise)","pages":[{"title":"Markets API","href":"/api-reference/endpoints/metrics/v1/markets-api"},{"title":"Get Markets","openapi":"GET /metrics/v1/markets","href":"/api-reference/endpoints/metrics/v1/get-v1-markets"},{"title":"Get Market","openapi":"GET /metrics/v1/markets/{marketIdentifier}","href":"/api-reference/endpoints/metrics/v1/get-v1-markets-marketIdentifier"},{"title":"Get Market Timeseries Metrics","openapi":"GET /metrics/v1/markets/metrics","href":"/api-reference/endpoints/metrics/v1/get-v1-markets-metrics"},{"openapi":"GET /metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}","title":"Get Market Timeseries","href":"/api-reference/endpoints/metrics/v1/get-market-timeseries-with-granularity"}]},{"group":"News","pages":[{"title":"News API","href":"/api-reference/endpoints/news/news-api"},{"title":"News Feed","openapi":"GET /news/v1/news/feed","href":"/api-reference/endpoints/news/get-v1-news-feed"},{"title":"Get News Sources","openapi":"GET /news/v1/news/sources","href":"/api-reference/endpoints/news/get-v1-news-sources"},{"title":"Get News Assets","openapi":"GET /news/v1/news/assets","href":"/api-reference/endpoints/news/get-v1-news-assets"}]},{"group":"Topics API","pages":[{"title":"Topics API","href":"/api-reference/endpoints/topics/topics-api"},{"title":"Get Topic Classes","openapi":"GET /topics/v1/classes","href":"/api-reference/endpoints/topics/get-v1-classes"},{"title":"Get Current Topics","openapi":"GET /topics/v1/current","href":"/api-reference/endpoints/topics/get-v1-current"},{"title":"Get Topics Timeseries","openapi":"GET /topics/v1/daily","href":"/api-reference/endpoints/topics/get-v1-daily"}]},{"group":"Research","pages":[{"title":"Research API","href":"/api-reference/endpoints/research/research-api"},{"openapi":"GET /research/v1/reports","title":"Get research reports","href":"/api-reference/endpoints/research/get-v1-reports"},{"openapi":"GET /research/v1/reports/tags","title":"Get list of tags for research report","href":"/api-reference/endpoints/research/get-v1-reports-tags"},{"openapi":"GET /research/v1/reports/{reportId}","title":"Get a research report by report ID","href":"/api-reference/endpoints/research/get-v1-reports-reportId"}]},{"group":"Research (Basic)","pages":[{"openapi":"GET /research-basic/v1/basic/reports","title":"Get basic research reports","href":"/api-reference/endpoints/research-basic/get-v1-basic-reports"},{"openapi":"GET /research-basic/v1/basic/reports/{reportId}","title":"Get a basic research report by report ID","href":"/api-reference/endpoints/research-basic/get-v1-basic-reports-reportId"}]},{"group":"Stablecoins","pages":[{"title":"Stablecoins API","href":"/api-reference/endpoints/stablecoins/stablecoins-api"},{"title":"List Stablecoins","openapi":"GET /metrics/v2/stablecoins","href":"/api-reference/endpoints/stablecoins/list-stablecoins"},{"title":"List Stablecoin Metrics","openapi":"GET /metrics/v2/stablecoins/metrics","href":"/api-reference/endpoints/stablecoins/list-stablecoin-metrics"},{"title":"Stablecoin Timeseries Metric","openapi":"GET /metrics/v2/stablecoins/{entityIdentifier}/metrics/{datasetSlug}/time-series","href":"/api-reference/endpoints/stablecoins/stablecoin-timeseries-metric"}]},{"group":"Networks","pages":[{"title":"Networks API","href":"/api-reference/endpoints/metrics/v2/networks/networks"},{"title":"Networks","openapi":"GET /metrics/v2/networks","href":"/api-reference/endpoints/metrics/v2/networks/get-v2-networks"},{"title":"Network Metrics","openapi":"GET /metrics/v2/networks/metrics","href":"/api-reference/endpoints/metrics/v2/networks/get-v2-networks-metrics"},{"title":"Network Time Series with Granularity","openapi":"GET /metrics/v2/networks/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}","href":"/api-reference/endpoints/metrics/v2/networks/get-time-series-timeseries-with-granularity"},{"title":"Get All Networks Time Series","openapi":"GET /metrics/v2/networks/metrics/{datasetSlug}/time-series/{granularity}","href":"/api-reference/endpoints/metrics/v2/networks/all-networks-timeseries"}]},{"group":"Protocols","pages":[{"title":"Protocols API","href":"/api-reference/endpoints/protocols/protocols-api"},{"group":"Core Protocols","pages":[{"title":"List All Protocols","openapi":"GET /metrics/v2/protocols","href":"/api-reference/endpoints/protocols/core/list-protocols"},{"title":"List Protocols Core Metrics","openapi":"GET /metrics/v2/protocols/metrics","href":"/api-reference/endpoints/protocols/core/list-protocols-metrics"},{"title":"Get Protocol Core Timeseries Metric","openapi":"GET /metrics/v2/protocols/{protocolIdentifier}/metrics/core/time-series/{granularity}","href":"/api-reference/endpoints/protocols/core/protocol-timeseries-metric"}]},{"group":"DEX","pages":[{"title":"List DEX Protocols","openapi":"GET /metrics/v2/protocols/dex","href":"/api-reference/endpoints/protocols/dex/list-dex-protocols"},{"title":"List DEX Metrics","openapi":"GET /metrics/v2/protocols/dex/metrics","href":"/api-reference/endpoints/protocols/dex/list-dex-metrics"},{"title":"Get DEX Timeseries Metric","openapi":"GET /metrics/v2/protocols/{protocolIdentifier}/metrics/dex/time-series/{granularity}","href":"/api-reference/endpoints/protocols/dex/dex-timeseries-metric"},{"title":"Get All DEX Time Series","openapi":"GET /metrics/v2/protocols/dex/time-series/{granularity}","href":"/api-reference/endpoints/protocols/dex/all-dex-timeseries"}]},{"group":"Lending","pages":[{"title":"List Lending Protocols","openapi":"GET /metrics/v2/protocols/lending","href":"/api-reference/endpoints/protocols/lending/list-lending-protocols"},{"title":"List Lending Metrics","openapi":"GET /metrics/v2/protocols/lending/metrics","href":"/api-reference/endpoints/protocols/lending/list-lending-metrics"},{"title":"Get Lending Timeseries Metric","openapi":"GET /metrics/v2/protocols/{protocolIdentifier}/metrics/lending/time-series/{granularity}","href":"/api-reference/endpoints/protocols/lending/lending-timeseries-metric"},{"title":"Get All Lending Time Series","openapi":"GET /metrics/v2/protocols/lending/time-series/{granularity}","href":"/api-reference/endpoints/protocols/lending/all-lending-timeseries"},{"title":"List Lending Instance Metrics","openapi":"GET /metrics/v2/protocols/lending-instances/metrics","href":"/api-reference/endpoints/protocols/lending/list-lending-instance-metrics"},{"title":"Get Lending Instances Timeseries","openapi":"GET /metrics/v2/protocols/{protocolIdentifier}/metrics/lending-instances/time-series/{granularity}","href":"/api-reference/endpoints/protocols/lending/lending-instances-timeseries-metric"},{"title":"List Lending Markets","openapi":"GET /metrics/v2/protocols/lending-markets","href":"/api-reference/endpoints/protocols/lending/list-lending-markets"},{"title":"List Lending Market Metrics","openapi":"GET /metrics/v2/protocols/lending-markets/metrics","href":"/api-reference/endpoints/protocols/lending/list-lending-market-metrics"},{"title":"Get Lending Markets Timeseries","openapi":"GET /metrics/v2/protocols/{protocolIdentifier}/metrics/lending-markets/time-series/{granularity}","href":"/api-reference/endpoints/protocols/lending/lending-markets-timeseries-metric"}]},{"group":"DATs","pages":[{"title":"List DATs","openapi":"GET /metrics/v2/protocols/dats","href":"/api-reference/endpoints/protocols/dats/list-dats"},{"title":"List DAT Metrics","openapi":"GET /metrics/v2/protocols/dats/metrics","href":"/api-reference/endpoints/protocols/dats/list-dat-metrics"},{"title":"Get DAT Treasury Time Series","openapi":"GET /metrics/v2/protocols/dats/{datIdentifier}/metrics/treasury/time-series/{granularity}","href":"/api-reference/endpoints/protocols/dats/dat-treasury-timeseries-metric"},{"title":"Get All DATs Time Series","openapi":"GET /metrics/v2/protocols/dats/time-series/{granularity}","href":"/api-reference/endpoints/protocols/dats/all-dats-timeseries"},{"title":"Get DAT Holdings Time Series","openapi":"GET /metrics/v2/protocols/dats/{datIdentifier}/metrics/holdings/time-series/{granularity}","href":"/api-reference/endpoints/protocols/dats/dat-holdings-timeseries-metric"},{"title":"Get All DAT Holdings Time Series","openapi":"GET /metrics/v2/protocols/dats/holdings/time-series/{granularity}","href":"/api-reference/endpoints/protocols/dats/all-dat-holdings-timeseries"}]},{"group":"ETFs","pages":[{"title":"List ETF Providers","openapi":"GET /metrics/v2/protocols/etfs","href":"/api-reference/endpoints/protocols/etfs/list-etf-providers"},{"title":"List ETF Metrics","openapi":"GET /metrics/v2/protocols/etfs/metrics","href":"/api-reference/endpoints/protocols/etfs/list-etf-metrics"},{"title":"Get ETF Provider Time Series","openapi":"GET /metrics/v2/protocols/etfs/{providerIdentifier}/metrics/overview/time-series/{granularity}","href":"/api-reference/endpoints/protocols/etfs/etf-provider-timeseries"},{"title":"Get All ETF Providers Time Series","openapi":"GET /metrics/v2/protocols/etfs/time-series/{granularity}","href":"/api-reference/endpoints/protocols/etfs/all-etf-providers-timeseries"},{"title":"List ETF Assets","openapi":"GET /metrics/v2/protocols/etfs/assets","href":"/api-reference/endpoints/protocols/etfs/list-etf-assets"},{"title":"Get ETF Asset Time Series","openapi":"GET /metrics/v2/protocols/etfs/assets/{assetIdentifier}/metrics/overview/time-series/{granularity}","href":"/api-reference/endpoints/protocols/etfs/etf-asset-timeseries"},{"title":"Get All ETF Assets Time Series","openapi":"GET /metrics/v2/protocols/etfs/assets/time-series/{granularity}","href":"/api-reference/endpoints/protocols/etfs/all-etf-assets-timeseries"}]},{"group":"TCG","pages":[{"title":"List TCG Platforms","openapi":"GET /metrics/v2/protocols/tcg","href":"/api-reference/endpoints/protocols/tcg/list-tcg-platforms"},{"title":"List TCG Metrics","openapi":"GET /metrics/v2/protocols/tcg/metrics","href":"/api-reference/endpoints/protocols/tcg/list-tcg-metrics"},{"title":"Get TCG Platform Time Series","openapi":"GET /metrics/v2/protocols/tcg/{platformIdentifier}/metrics/overview/time-series/{granularity}","href":"/api-reference/endpoints/protocols/tcg/tcg-platform-timeseries"},{"title":"Get All TCG Platforms Time Series","openapi":"GET /metrics/v2/protocols/tcg/time-series/{granularity}","href":"/api-reference/endpoints/protocols/tcg/all-tcg-platforms-timeseries"}]},{"group":"Interoperability","pages":[{"title":"List Interoperability Protocols","openapi":"GET /metrics/v2/protocols/interop","href":"/api-reference/endpoints/protocols/interoperability/list-interop-protocols"},{"title":"List Interoperability Metrics","openapi":"GET /metrics/v2/protocols/interop/metrics","href":"/api-reference/endpoints/protocols/interoperability/list-interop-metrics"},{"title":"Get Interoperability Timeseries Metric","openapi":"GET /metrics/v2/protocols/{protocolIdentifier}/metrics/interop/time-series/{granularity}","href":"/api-reference/endpoints/protocols/interoperability/interop-timeseries-metric"}]},{"group":"Liquid Staking","pages":[{"title":"List Liquid Staking Protocols","openapi":"GET /metrics/v2/protocols/liquid-staking","href":"/api-reference/endpoints/protocols/liquid-staking/list-liquid-staking-protocols"},{"title":"List Liquid Staking Metrics","openapi":"GET /metrics/v2/protocols/liquid-staking/metrics","href":"/api-reference/endpoints/protocols/liquid-staking/list-liquid-staking-metrics"},{"title":"Get Liquid Staking Timeseries Metric","openapi":"GET /metrics/v2/protocols/{protocolIdentifier}/metrics/liquid-staking/time-series/{granularity}","href":"/api-reference/endpoints/protocols/liquid-staking/liquid-staking-timeseries-metric"}]}]},{"group":"Token Unlocks","pages":[{"title":"Token Unlocks API","href":"/api-reference/endpoints/token-unlocks/token-unlocks-api"},{"title":"Get Allocations","openapi":"GET /token-unlocks/v1/allocations","href":"/api-reference/endpoints/token-unlocks/get-v1-allocations"},{"title":"Get Assets","openapi":"GET /token-unlocks/v1/assets","href":"/api-reference/endpoints/token-unlocks/get-v1-assets"},{"title":"Get Asset Events","openapi":"GET /token-unlocks/v1/assets/{assetId}/events","href":"/api-reference/endpoints/token-unlocks/get-v1-assets-assetId-events"},{"title":"Get Asset Unlocks","openapi":"GET /token-unlocks/v1/assets/{assetId}/unlocks","href":"/api-reference/endpoints/token-unlocks/get-v1-assets-assetId-unlocks"},{"title":"Get Asset Vesting Schedule","openapi":"GET /token-unlocks/v1/assets/{assetId}/vesting-schedule","href":"/api-reference/endpoints/token-unlocks/get-v1-assets-assetId-vesting-schedule"}]},{"group":"Fundraising","pages":[{"title":"Fundraising API","href":"/api-reference/endpoints/funding/funding-api"},{"group":"Fundraising Rounds","pages":[{"title":"Rounds","openapi":"GET /funding/v1/rounds","href":"/api-reference/endpoints/funding/fundraising-rounds/get-v1-rounds"},{"title":"Rounds Investors","openapi":"GET /funding/v1/rounds/investors","href":"/api-reference/endpoints/funding/fundraising-rounds/get-v1-rounds-investors"}]},{"group":"Mergers and Acquisitions","pages":[{"title":"Mergers and Acquisitions","openapi":"GET /funding/v1/mergers-and-acquisitions","href":"/api-reference/endpoints/funding/mergers-acquisitions/get-v1-mergers-and-acquisitions"}]},{"group":"Entities","pages":[{"title":"Organizations","openapi":"GET /funding/v1/organizations","href":"/api-reference/endpoints/funding/entities/get-v1-organizations"},{"title":"Projects","openapi":"GET /funding/v1/projects","href":"/api-reference/endpoints/funding/entities/get-v1-projects"}]},{"group":"Funds","pages":[{"title":"Funds","openapi":"GET /funding/v1/funds","href":"/api-reference/endpoints/funding/funds/get-v1-funds"},{"title":"Funds Managers","openapi":"GET /funding/v1/funds/managers","href":"/api-reference/endpoints/funding/funds/get-v1-funds-managers"}]}]},{"group":"AI","pages":[{"title":"AI API","href":"/api-reference/endpoints/ai/ai-api"},{"group":"Copilot","pages":[{"title":"Chat Completions API","href":"/api-reference/endpoints/ai/chat-completions-api"},{"title":"Chat Completion - Messari v2","openapi":"POST /ai/v2/chat/completions","href":"/api-reference/endpoints/ai/post-v2-chat-completions"},{"title":"Chat Completion - OpenAI Format","openapi":"POST /ai/openai/chat/completions","href":"/api-reference/endpoints/ai/post-openai-chat-completions"},{"title":"Chat Completion - Messari Format","openapi":"POST /ai/v1/chat/completions","href":"/api-reference/endpoints/ai/post-v1-chat-completions"},{"title":"Trending Questions","openapi":"GET /ai/v1/questions/trending","href":"/api-reference/endpoints/ai/get-v1-questions-trending"}]},{"group":"Agents","pages":[{"title":"Agents API","href":"/api-reference/endpoints/ai/agents-api"},{"openapi":"POST /ai/v1/agent/search","title":"Run the Search agent","href":"/api-reference/endpoints/ai/post-v1-agent-search"},{"openapi":"POST /ai/v1/agent/compute","title":"Run the Compute agent","href":"/api-reference/endpoints/ai/post-v1-agent-compute"}]},{"group":"Deep Research","pages":[{"title":"Deep Research API","href":"/api-reference/endpoints/ai/deep-research-api"},{"title":"Create Deep Research Job","openapi":"POST /ai/v1/deep-research","href":"/api-reference/endpoints/ai/post-v1-deep-research"},{"title":"List Deep Research Jobs","openapi":"GET /ai/v1/deep-research","href":"/api-reference/endpoints/ai/get-v1-deep-research"},{"title":"Get Deep Research Job","openapi":"GET /ai/v1/deep-research/{id}","href":"/api-reference/endpoints/ai/get-v1-deep-research-id"},{"title":"Cancel Deep Research Job","openapi":"POST /ai/v1/deep-research/{id}/cancel","href":"/api-reference/endpoints/ai/post-v1-deep-research-id-cancel"}]}]},{"group":"Signals","pages":[{"title":"Signals API","href":"/api-reference/endpoints/signal/overview"},{"title":"Assets","openapi":"GET /signal/v1/assets","href":"/api-reference/endpoints/signal/assets/get-v1-assets"},{"title":"Asset by ID","openapi":"GET /signal/v1/assets/{assetID}","href":"/api-reference/endpoints/signal/assets/get-v1-assets-assetID"},{"title":"Assets Time Series with Granularity","openapi":"GET /signal/v1/assets/time-series/{granularity}","href":"/api-reference/endpoints/signal/assets/get-v1-assets-time-series-granularity"},{"title":"Mindshare Gainers 24H","openapi":"GET /signal/v1/assets/mindshare-gainers-24h","href":"/api-reference/endpoints/signal/assets/get-v1-assets-mindshare-gainers-24h"},{"title":"Mindshare Losers 24H","openapi":"GET /signal/v1/assets/mindshare-losers-24h","href":"/api-reference/endpoints/signal/assets/get-v1-assets-mindshare-losers-24h"},{"title":"Mindshare Gainers 7D","openapi":"GET /signal/v1/assets/mindshare-gainers-7d","href":"/api-reference/endpoints/signal/assets/get-v1-assets-mindshare-gainers-7d"},{"title":"Mindshare Losers 7D","openapi":"GET /signal/v1/assets/mindshare-losers-7d","href":"/api-reference/endpoints/signal/assets/get-v1-assets-mindshare-losers-7d"}]},{"group":"Monitoring","pages":[{"title":"Monitoring API","href":"/api-reference/endpoints/monitoring/monitoring-api"},{"title":"List Categories","openapi":"GET /monitoring/v2/categories","href":"/api-reference/endpoints/monitoring/get-v2-categories"},{"title":"List Developments","openapi":"GET /monitoring/v2/developments","href":"/api-reference/endpoints/monitoring/get-v2-developments"},{"title":"Get Development","openapi":"GET /monitoring/v2/developments/{developmentId}","href":"/api-reference/endpoints/monitoring/get-v2-developments-developmentId"},{"title":"List Events","openapi":"GET /monitoring/v2/events","href":"/api-reference/endpoints/monitoring/get-v2-events"},{"title":"Get Event","openapi":"GET /monitoring/v2/events/{eventId}","href":"/api-reference/endpoints/monitoring/get-v2-events-eventId"},{"title":"List Monitoring Views","openapi":"GET /monitoring/v2/monitoring-views","href":"/api-reference/endpoints/monitoring/get-v2-monitoring-views"},{"title":"Get Monitoring View","openapi":"GET /monitoring/v2/monitoring-views/{monitoringViewId}","href":"/api-reference/endpoints/monitoring/get-v2-monitoring-views-monitoringViewId"},{"title":"Developments matched by a view","openapi":"GET /monitoring/v2/monitoring-views/{monitoringViewId}/developments","href":"/api-reference/endpoints/monitoring/get-v2-monitoring-views-monitoringViewId-developments"},{"title":"Events matched by a view","openapi":"GET /monitoring/v2/monitoring-views/{monitoringViewId}/events","href":"/api-reference/endpoints/monitoring/get-v2-monitoring-views-monitoringViewId-events"},{"title":"All matched developments","openapi":"GET /monitoring/v2/monitoring-views/all/developments","href":"/api-reference/endpoints/monitoring/get-v2-monitoring-views-all-developments"},{"title":"All matched events","openapi":"GET /monitoring/v2/monitoring-views/all/events","href":"/api-reference/endpoints/monitoring/get-v2-monitoring-views-all-events"}]},{"group":"Intel","pages":[{"title":"Intel API","href":"/api-reference/endpoints/intel/intel-api"},{"openapi":"GET /intel/v1/assets","title":"List all assets","href":"/api-reference/endpoints/intel/get-v1-assets"},{"title":"List Events (deprecated GET form)","openapi":"GET /intel/v1/events","href":"/api-reference/endpoints/intel/get-v1-events"},{"openapi":"POST /intel/v1/events","title":"List all events via POST","href":"/api-reference/endpoints/intel/post-v1-events"},{"title":"Event and History by ID","openapi":"GET /intel/v1/events/{eventId}","href":"/api-reference/endpoints/intel/get-v1-events-eventId"}]},{"group":"Bulk API","pages":[{"title":"Bulk API","description":"The Bulk API provides high-performance access to download large historical datasets in CSV or JSONL format. Designed for data scientists, analysts, and researchers who need to download comprehensive timeseries data at scale.","href":"/api-reference/endpoints/bulk/bulk-api"},{"title":"Get Available Datasets","openapi":"GET /bulk/v1/datasets","href":"/api-reference/endpoints/bulk/get-v1-datasets"},{"title":"Download Dataset","openapi":"GET /bulk/v1/datasets/{datasetSlug}/{granularity}/data","description":"Downloads bulk timeseries data for a specific dataset at a given granularity. Data can be exported in CSV or JSONL format. The response includes all metric columns configured for bulk output. Time range is limited to prevent excessive data downloads.","href":"/api-reference/endpoints/bulk/get-v1-datasets-datasetSlug-granularity-data"}]},{"group":"Watchlists","pages":[{"title":"Watchlists API","href":"/api-reference/endpoints/user-management/user-management-api"},{"title":"Get Watchlists","openapi":"GET /user-management/v1/watchlists","href":"/api-reference/endpoints/user-management/get-v1-watchlists"},{"title":"Create Watchlist","openapi":"POST /user-management/v1/watchlists","href":"/api-reference/endpoints/user-management/post-v1-watchlists"},{"title":"Get Watchlist Details","openapi":"GET /user-management/v1/watchlists/{id}","href":"/api-reference/endpoints/user-management/get-v1-watchlists-id"},{"title":"Update Watchlist","openapi":"PATCH /user-management/v1/watchlists/{id}","href":"/api-reference/endpoints/user-management/patch-v1-watchlists-id"},{"title":"Update Watchlist Assets","openapi":"PATCH /user-management/v1/watchlists/{id}/assets","href":"/api-reference/endpoints/user-management/patch-v1-watchlists-id-assets"},{"title":"Delete Watchlist","openapi":"DELETE /user-management/v1/watchlists/{id}","href":"/api-reference/endpoints/user-management/delete-v1-watchlists-id"}]},{"group":"Developer Resources","pages":[{"group":"Messari SDK","pages":[{"title":"Quickstart","href":"/quickstart"},{"title":"SDK Code Examples","href":"/examples/overview"}]},{"title":"MCP Server","href":"/mcp-server/hosted"}]}]},{"tab":"User Guides","pages":[{"title":"User Guides","href":"/user-guides/welcome/about"}]},{"tab":"Glossary","pages":[{"title":"Glossary","href":"/glossary/classification-system"}]}]},"basePath":"","title":"Get Available Datasets - Messari Docs (Legacy)","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-C79IUEr8.js","dist-DE3EVdvd.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","clsx-DK3K4Z1S.js","html-void-elements-mCSPHezU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","Page-Dr40SSJq.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js","Markdown-D_k0dg6k.js","AssistantPageLink-fN9H9n9g.js"]}